esp32_BNO08x 1.4 C++ BNO08x IMU driver component for esp-idf.

Static Public Member Functions | List of all members
BNO08xTestHelper Class Reference

BNO08x unit test helper class. More...

`#include <BNO08xTestHelper.hpp>`

## Static Public Member Functions
static void | print_test_start_banner (const char *TEST_TAG)
| Prints test begin banner. More...
static void | print_test_end_banner (const char *TEST_TAG)
| Prints end begin banner. More...
static void | print_test_msg (const char *TEST_TAG, const char *msg)
| Prints a message during a test. More...
static void | set_test_imu_cfg (bno08x_config_t cfg)
| Set test imu configuration used with create_test_imu() More...
static void | create_test_imu ()
| Calls BNO08x constructor and creates new test IMU on heap. More...
static void | destroy_test_imu ()
| Deletes test IMU calling deconstructor and releases heap allocated memory. More...
static BNO08x * | get_test_imu ()
| Deletes test IMU calling deconstructor and releases heap allocated memory. More...
static esp_err_t | call_init_config_args ()
| Used to call private BNO08x::init_config_args() member for tests. More...
static esp_err_t | call_init_gpio ()
| Used to call private BNO08x::init_gpio() member for tests. More...
static esp_err_t | call_init_hint_isr ()
| Used to call private BNO08x::init_hint_isr() member for tests. More...
static esp_err_t | call_init_spi ()
| Used to call private BNO08x::init_spi() member for tests. More...
static esp_err_t | call_init_tasks ()
| Used to call private BNO08x::init_tasks() member for tests. More...
static esp_err_t | call_init_sh2_HAL ()
| Used to call private BNO08x::init_tasks() member for tests. More...
static esp_err_t | call_deinit_gpio ()
| Used to call private BNO08x::deinit_gpio() member for tests. More...
static esp_err_t | call_deinit_hint_isr ()
| Used to call private BNO08x::deinit_hint_isr() member for tests. More...
static esp_err_t | call_deinit_spi ()
| Used to call private BNO08x::deinit_spi() member for tests. More...
static esp_err_t | call_deinit_tasks ()
| Used to call private BNO08x::deinit_tasks() member for tests. More...
static esp_err_t | call_deinit_sh2_HAL ()
| Used to call private BNO08x::deinit_tasks() member for tests. More...

## Detailed Description

BNO08x unit test helper class.

## Member Function Documentation

## ◆ call_deinit_gpio()

static esp_err_t BNO08xTestHelper::call_deinit_gpio | ( |  | ) |
| inline static

Used to call private BNO08x::deinit_gpio() member for tests.

Returns
  ESP_OK if deinit succeeded.

## ◆ call_deinit_hint_isr()

static esp_err_t BNO08xTestHelper::call_deinit_hint_isr | ( |  | ) |
| inline static

Used to call private BNO08x::deinit_hint_isr() member for tests.

Returns
  ESP_OK if deinit succeeded.

## ◆ call_deinit_sh2_HAL()

static esp_err_t BNO08xTestHelper::call_deinit_sh2_HAL | ( |  | ) |
| inline static

Used to call private BNO08x::deinit_tasks() member for tests.

Returns
  ESP_OK if deinit succeeded.

## ◆ call_deinit_spi()

static esp_err_t BNO08xTestHelper::call_deinit_spi | ( |  | ) |
| inline static

Used to call private BNO08x::deinit_spi() member for tests.

Returns
  ESP_OK if deinit succeeded.

## ◆ call_deinit_tasks()

static esp_err_t BNO08xTestHelper::call_deinit_tasks | ( |  | ) |
| inline static

Used to call private BNO08x::deinit_tasks() member for tests.

Returns
  ESP_OK if deinit succeeded.

## ◆ call_init_config_args()

static esp_err_t BNO08xTestHelper::call_init_config_args | ( |  | ) |
| inline static

Used to call private BNO08x::init_config_args() member for tests.

Returns
  ESP_OK if init succeeded.

## ◆ call_init_gpio()

static esp_err_t BNO08xTestHelper::call_init_gpio | ( |  | ) |
| inline static

Used to call private BNO08x::init_gpio() member for tests.

Returns
  ESP_OK if init succeeded.

## ◆ call_init_hint_isr()

static esp_err_t BNO08xTestHelper::call_init_hint_isr | ( |  | ) |
| inline static

Used to call private BNO08x::init_hint_isr() member for tests.

Returns
  ESP_OK if init succeeded.

## ◆ call_init_sh2_HAL()

static esp_err_t BNO08xTestHelper::call_init_sh2_HAL | ( |  | ) |
| inline static

Used to call private BNO08x::init_tasks() member for tests.

Returns
  ESP_OK if init succeeded.

## ◆ call_init_spi()

static esp_err_t BNO08xTestHelper::call_init_spi | ( |  | ) |
| inline static

Used to call private BNO08x::init_spi() member for tests.

Returns
  ESP_OK if init succeeded.

## ◆ call_init_tasks()

static esp_err_t BNO08xTestHelper::call_init_tasks | ( |  | ) |
| inline static

Used to call private BNO08x::init_tasks() member for tests.

Returns
  ESP_OK if init succeeded.

## ◆ create_test_imu()

static void BNO08xTestHelper::create_test_imu | ( |  | ) |
| inline static

Calls BNO08x constructor and creates new test IMU on heap.

Returns
  void, nothing to return

Here is the call graph for this function:

## ◆ destroy_test_imu()

static void BNO08xTestHelper::destroy_test_imu | ( |  | ) |
| inline static

Deletes test IMU calling deconstructor and releases heap allocated memory.

Returns
  void, nothing to return

Here is the caller graph for this function:

## ◆ get_test_imu()

static BNO08x * BNO08xTestHelper::get_test_imu | ( |  | ) |
| inline static

Deletes test IMU calling deconstructor and releases heap allocated memory.

Returns
  Pointer to BNO08x IMU object to test.

## ◆ print_test_end_banner()

static void BNO08xTestHelper::print_test_end_banner | ( | const char * | TEST_TAG | ) |
| inline static

Prints end begin banner.

Parameters

  TEST_TAG | String containing test name.

Returns
  void, nothing to return

## ◆ print_test_msg()

static void BNO08xTestHelper::print_test_msg | ( | const char * | TEST_TAG,
|  | const char * | msg
| ) |  |
| inline static

Prints a message during a test.

Parameters

  TEST_TAG | String containing test name.
  msg | String containing message to print.

Returns
  void, nothing to return

## ◆ print_test_start_banner()

static void BNO08xTestHelper::print_test_start_banner | ( | const char * | TEST_TAG | ) |
| inline static

Prints test begin banner.

Parameters

  TEST_TAG | String containing test name.

Returns
  void, nothing to return

## ◆ set_test_imu_cfg()

static void BNO08xTestHelper::set_test_imu_cfg | ( | bno08x_config_t | cfg | ) |
| inline static

Set test imu configuration used with create_test_imu()

Parameters

  cfg | String containing test name.

Returns
  void, nothing to return

The documentation for this class was generated from the following file:

- /media/develop/git/imu_pr_cleanup/components/esp32_BNO08x/include/BNO08xTestHelper.hpp